queue-pr(8)

NAME
queue-pr - incoming mail control for GNATS

SYNOPSIS

queue-pr
    [ -q | --queue ] [ -r | --run ]
    [ -f filename | --file=filename ]
    [ -d directory | --directory=directory ]

DESCRIPTION
`queue-pr -q' should run through a pipe(2V) via the mail aliases(5) mechanism to automatically place incoming bug reports in a queue directory for GNATS.

Run `queue-pr -r' via cron(8) to periodically empty the GNATS queue, filing new bug reports in the database.

Always use one of [ -q | --queue ] or [ -r | --run ] (but not both), in each call to queue-pr. These are mutually exclusive functions in order to avoid collisions.

OPTIONS

-q, --queue
    Accept standard input as an incoming mail message, placing this message in an incrementally numbered file in the directory /usr/local/share/gnats/gnats-db/gnats-queue for future handling.

-r, --run
    Redirect files from the directory /usr/local/share/gnats/gnats-db/gnats-queue to file-pr(8) which files and creates index entries for each.

-f filename or --file=filename
    Treat filename as input rather than reading from standard input (used with the --queue option).

-d directory or --directory=directory
    Used with the --queue option, file incoming messages into directory rather than /usr/local/share/gnats/gnats-db/gnats-queue. Used with the --run option, operate on the files in directory rather than /usr/local/share/gnats/gnats-db/gnats-queue.

FILES
/usr/local/share/gnats/gnats-db/gnats-queue

SEE ALSO
Keeping Track: Managing Messages With GNATS (also installed as the GNU Info file gnats.info) and Reporting Problems Using send-pr (also installed as the GNU Info file send-pr.info).

gnats(l), send-pr(1), query-pr(1), edit-pr(1), file-pr(8), mkcat(8), rmcat(8), gen-index(8), mkdist(8).

COPYING
Copyright (c) 1993 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.